Bug 75622 - Installer hangs during Reading package information...
Summary: Installer hangs during Reading package information...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-10 12:19 UTC by Ivan K.
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:49:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan K. 2002-10-10 12:19:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
installer shows error window:
Exception Occured. An unhandled exception has Occured. This most likely a bug....

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 120, in readPackages
    id.comps = method.readComps(id.hdList)
  File "/usr/lib/anaconda/installmethod.py", line 60, in readComps
    return self.readCompsViaMethod(hdlist)
  File "/usr/lib/anaconda/image.py", line 33, in readCompsViaMethod
    return ComponentSet(fname, hdlist)
  File "/usr/lib/anaconda/comps.py", line 1013, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/lib/anaconda/comps.py", line 712, in readCompsFile
    self.compsxml = rhpl.comps.Comps(file)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 297, in __init__
    self.load (filename)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 304, in load
    doc = libxml2.parseMemory(file, len(file))
  File "/usr/lib/python2.2/site-packages/libxml2.py", line 717, in parseMemory
    if ret == None:raise parserError('xmlParseMemory() failed')
parserError: xmlParseMemory() failed

Local variables in innermost frame:
buffer: <?xml version="1.0"?>
<!DOCTYPE comps PUBLIC "-//Red Hat, Inc.//DTD Comps info//EN" "comps.dtd">

<comps>
<!--  <meta> -->
....

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
 

Additional info:

Computer config: 
1. P2-233, MB-Asus P2L97, Ram-128Mb, Hdd-Seagate ST34572N 4.3Gb, Video-S3 Trio 3d AGP 4Mb.
2. Cel-533, MB-Asus CUBX-E, Ram-128Mb, Hdd-IBM DLTA-307045 40Gb, Video-S3 Trio 3d AGP 4Mb.
Now computers work under RedHat 7.3

I tried Eng/Rus laguage, upgrade and new installation, server and decktop, automatic and manual partition setting.
The result is same.

Comment 1 Jeremy Katz 2002-10-14 15:06:43 UTC
Could you check your media following the instructions available at
http://rhlinux.redhat.com/anaconda/mediacheck.html?

Comment 2 Michael Fulbright 2002-11-05 21:11:24 UTC
Closing due to inactivity. Please reopen if you have additional information to
add to this report.

Comment 3 Red Hat Bugzilla 2006-02-21 18:49:51 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.